Contents

# IPmt Function [VBA]

Calculates the periodic amortizement for an investment with regular payments and a constant interest rate.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    IPmt(Rate as Double, Per as Double, NPer as Double, PV as Double, [FV as Variant], [Due as Variant])

### Return type:

Double

### Parameters:

Rate is the periodic interest rate.

Per is the period, for which the compound interest is calculated. Period=NPER if compound interest for the last period is calculated.

NPer is the total number of periods, during which annuity is paid.

PV is the present cash value in sequence of payments.

FV (optional) is the desired value (future value) at the end of the periods.

Due (optional) is the due date for the periodic payments.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleIPmt
     Dim myIPmt As Double
     myIPmt = IPmt(0.05,5,7,15000)
     Print myIPmt ' returns -352.97 currency units. The compound interest during the fifth period (year) is 352.97 currency units.
    End Sub

Related Topics

IPMT function in CALC

VBA financial functions